Skip to main content
GET
/
v1
/
organizations
/
{organization_id}
Retrieve an organization
curl --request GET \
  --url https://api.chataigne.ai/v1/organizations/{organization_id} \
  --header 'x-api-key: <api-key>'
{
  "id": "org_02d224786a994d37a7e8a731",
  "object": "organization",
  "name": "Pokawa",
  "location_ids": [
    "loc_023d6847de544fdb9a5510db"
  ],
  "active_location_ids": [
    "<string>"
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "locations": [
    {
      "id": "loc_023d6847de544fdb9a5510db",
      "object": "location",
      "organization_id": "<string>",
      "name": "Pokawa Châtelet",
      "currency": "EUR",
      "country": "FR",
      "timezone": "Europe/Paris",
      "default_language": "fr",
      "address": {
        "line1": "<string>",
        "line2": "<string>",
        "postal_code": "<string>",
        "city": "<string>",
        "country": "<string>",
        "latitude": 123,
        "longitude": 123
      },
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z"
    }
  ]
}

Authorizations

x-api-key
string
header
required

Location/organization API key.

Path Parameters

organization_id
string
required

Query Parameters

expand[]
enum<string>[]

Expand related objects inline.

Available options:
locations

Response

The organization.

id
string
Example:

"org_02d224786a994d37a7e8a731"

object
enum<string>
Available options:
organization
name
string
Example:

"Pokawa"

location_ids
string[]
active_location_ids
string[]
created_at
string<date-time>
updated_at
string<date-time>
locations
object[]

Present only when expand[]=locations.